Project

General

Profile

Activity

From 08/16/2009 to 08/22/2009

08/22/2009

07:04 AM Bug #1978: fixed crash in lib/logger.rb from dependency on svn keywork expansion
=begin
On Fri, Aug 21, 2009 at 3:38 PM, Stephen Bannasch<redmine@ruby-lang.org> wrote:
> Issue #1978 has been updat...
wyhaines (Kirk Haines)
06:37 AM Bug #1978: fixed crash in lib/logger.rb from dependency on svn keywork expansion
=begin
While the dependence on the subversion keyword expansion has been present for a while the crash only started ...
stepheneb (Stephen Bannasch)
06:26 AM Bug #1978 (Assigned): fixed crash in lib/logger.rb from dependency on svn keywork expansion
=begin
When I build Ruby 1_8_6 from a git checkout logger.rb crashes because it operates on a string that it expects...
stepheneb (Stephen Bannasch)

08/21/2009

09:21 PM Backport #1975 (Closed): Backport Dir.mktmpdir
=begin
Dir.mktmpdir exists in 1.8 HEAD and 1.8.7, and is used in the test suite for Backport #1168, so it needs to b...
wyhaines (Kirk Haines)
01:00 PM Bug #1960: errors in configure on AIX
=begin
It seemed that 1.8.6p383 need to back port r15777 and r15779.
At least, I was able to install rubygems by u...
kanemoto (Yutaka Kanemoto)
02:23 AM Backport #1001 (Closed): Interpreter-wide deadlock when native close() is called on fd which is currently being IO#select()ed
=begin
Applied in r24600.
=end
wyhaines (Kirk Haines)

08/20/2009

11:15 AM Backport #1173 (Closed): Method name typo in soap/mimemessage.rb
=begin

=end
wyhaines (Kirk Haines)
11:13 AM Backport #1437 (Closed): 1.8.7-p160 compilation with CC fails on OpenSolaris
=begin
This was done in r24028.
=end
wyhaines (Kirk Haines)

08/19/2009

10:54 PM Backport #1232 (Closed): sprintf Heap Corruption
=begin
This is fixed in 24583.
=end
wyhaines (Kirk Haines)
08:27 PM Bug #1960 (Assigned): errors in configure on AIX
=begin
running on AIX 5.2, with:
./configure CC=cc --prefix=/opt/build/ruby CFLAGS='-g -qlanglvl=extc89 -q32'

...
ittayd (Ittay Dror)

08/16/2009

01:45 PM Backport #1941 (Closed): Issues with Ruby 1.8.6 patchlevel 383 and any package installation
=begin
Working on updating RubyInstaller packages to recently released patchlevel 383, found that my patching strat...
luislavena (Luis Lavena)
 

Also available in: Atom